<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>23102</bug_id>
          
          <creation_ts>2003-06-19 06:55 0000</creation_ts>
          <short_desc>ebuild media-libs/tiff-3.5.7-r1.ebuild install fails when ROOT != &quot;&quot;</short_desc>
          <delta_ts>2003-06-19 23:59:44 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>Ebuilds</component>
          <version>unspecified</version>
          <rep_platform>All</rep_platform>
          <op_sys>Linux</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>FIXED</resolution>
          
          
          
          <priority>P2</priority>
          <bug_severity>normal</bug_severity>
          <target_milestone>---</target_milestone>
          
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>martin.gadbois@colubris.com</reporter>
          <assigned_to>bug-wranglers@gentoo.org</assigned_to>
          

      

      
          <long_desc isprivate="0">
            <who>martin.gadbois@colubris.com</who>
            <bug_when>2003-06-19 06:55:17 0000</bug_when>
            <thetext>When installing tiff in a different directory than / using
ROOT=/home/user/gentoo,  the installation fails (permission denied) or Sandbox
failures.

Reproducible: Always
Steps to Reproduce:
1. ROOT=&quot;somedir&quot; emerge tiff



Actual Results:  
Permission denied, and/or sandbox access violation

Expected Results:  
Correct installation

The reason is that tiff&apos;s install.sh uses the ROOT variable. Found by Yannick
Koehler. See patch.
--- tiff-3.5.7-r1.ebuild.org	2003-06-19 09:36:58.000000000 +0000
+++ tiff-3.5.7-r1.ebuild	2003-06-19 09:37:14.000000000 +0000
@@ -30,7 +30,7 @@
 src_install() {
 	dodir /usr/{bin,lib,share/man,share/doc/${PF}/html}
 	dodir /usr/share/doc/${PF}/html
-	make INSTALL=&quot;/bin/sh ${S}/port/install.sh&quot; install || die
+	make ROOT=&quot;&quot; INSTALL=&quot;/bin/sh ${S}/port/install.sh&quot; install || die
 	preplib /usr
 	dodoc COPYRIGHT README TODO VERSION
 }</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>mr_bones_@gentoo.org</who>
            <bug_when>2003-06-19 23:59:44 0000</bug_when>
            <thetext>I could reproduce the problem so I went ahead and applied the patch.
Thanks for the bug report Martin.

This is fixed in CVS so I&apos;ll go ahead and close the bug.  Reopen if there&apos;s
a problem.</thetext>
          </long_desc>
      
    </bug>

</bugzilla>